import path from 'path';
import defu from 'defu';
const defaultOptions = {
    domain: undefined,
    hashMode: undefined,
    trackLocalhost: undefined,
    apiHost: undefined
};
const PlausibleModule = function (moduleOptions) {
    const options = defu(Object.assign(Object.assign({}, this.options.plausible), moduleOptions), defaultOptions);
    this.addPlugin({
        src: path.resolve(__dirname, './nuxt-plugin.js'),
        mode: 'client',
        ssr: false,
        fileName: 'vue-plausible.client.js',
        options
    });
};
export default PlausibleModule;
export const meta = require('../../package.json');
